Subject: Re: bug#4243: Emacs 23 ido-mode vc-hg bug

From: Dan Nicolaescu <[email-masked]>
Date: Mon, 24 Aug 2009 12:47:31 -0700 (PDT)

Tracy Reed <[email-masked]> writes:

  > On Mon, Aug 24, 2009 at 12:30:54PM -0700, Tracy Reed spake thusly:
  > > Not a command line flag but the command:
  > > 
  > > hg help env 
  > > 
  > > mentions the HGRCPATH environment variable. It is a typical :
  > 
  > Hmm...the hg guys warn that disabling reading of the users .hgrc file
  > would "mess up the ability to utilize any extensions the user has
  > enabled, committing would be problematic as the username wouldn't be
  > set, and so on." So...

I am closing this bug then, there's nothing we can do in emacs.
This sounds like a design bug in mercurial, tools (like emacs in this
case) cannot rely on getting consistent output from hg commands.